﻿#region Copyright Syncfusion Inc. 2001-2016.
// Copyright Syncfusion Inc. 2001-2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System.Windows;
using System.Windows.Input;
using System.Net;
using System.IO;
using Syncfusion.Windows.Reports.Viewer;
using System.Collections.Generic;
using System.Collections;
using Syncfusion.Windows.Reports;

namespace Syncfusion.Samples.ViewModel
{
    public class ReportViewModel 
    {
        public ReportModel Report { get; set; }

        #region Constructor

        public ReportViewModel()
        {
            this.Report = new ReportModel();
            //this.Report.ReportPath = @"C:\Users\vinoth.srinivasan\Downloads\SimpleReport_bddc5185\SimpleReport\SimpleReport\bin\Debug\reports\takrir-tarbawi16.rdl";
            this.Report.ReportPath = @"../../ReportTemplate/CampaignCustomers.rdlc";
        }
        
        public void Loaded(object sender, RoutedEventArgs e)
        {
            Window mainWindow = sender as Window;
            Syncfusion.Windows.Reports.Viewer.ReportViewer viewer= mainWindow.FindName("viewer") as Syncfusion.Windows.Reports.Viewer.ReportViewer;
            viewer.ProcessingMode = ProcessingMode.Local;
            viewer.DataSources.Clear();
            viewer.DataSources.Add(new ReportDataSource { Name = "DataSet1", Value = CustomerDetails.GetData() });
            viewer.RefreshReport();
        }
        #endregion
    }

    public class CustomerDetails
    {
        public string CampaignName { get; set; }
        public string CustomerName { get; set; }
        public string TotalSpentDisplay { get; set; }
        
        public static IList GetData()
        {
            List<CustomerDetails> CustomerDetailsCollection = new List<CustomerDetails>();
            CustomerDetails CustomerDetail = null;
            CustomerDetail = new CustomerDetails()
            {
                CampaignName = "Sample Campaign",
                CustomerName = "Hercilio De O Filho",
                TotalSpentDisplay = "R$ 0,00"
            };

            CustomerDetailsCollection.Add(CustomerDetail);
            CustomerDetail = new CustomerDetails()
            {
                CampaignName = "Sample Campaign",
                CustomerName = "Degnar Delgobo",
                TotalSpentDisplay = "R$ 65,94"
            };
            CustomerDetailsCollection.Add(CustomerDetail);
            CustomerDetail = new CustomerDetails()
            {
                CampaignName = "Sample Campaign",
                CustomerName = "Edezio Marcelino Silveira",
                TotalSpentDisplay = "R$ 76,79"
            };
            CustomerDetailsCollection.Add(CustomerDetail);
            CustomerDetail = new CustomerDetails()
            {
                CampaignName = "Sample Campaign",
                CustomerName = "Jussara Kuczkowske",
                TotalSpentDisplay = "R$ 54,85"
            };
            CustomerDetailsCollection.Add(CustomerDetail);
            CustomerDetail = new CustomerDetails()
            {
                CampaignName = "Sample Campaign",
                CustomerName = "Herbet Catapano",
                TotalSpentDisplay = "R$ 0,00"
            };
            CustomerDetailsCollection.Add(CustomerDetail);
            CustomerDetail = new CustomerDetails()
            {
                CampaignName = "Sample Campaign",
                CustomerName = "Glovane Eduardo De Araujo",
                TotalSpentDisplay = "R$ 32,91"
            };
            CustomerDetailsCollection.Add(CustomerDetail);
            CustomerDetail = new CustomerDetails()
            {
                CampaignName = "Sample Campaign",
                CustomerName = "Adriana Do Rocio Costa",
                TotalSpentDisplay = "R$ 54,91"
            };
            CustomerDetailsCollection.Add(CustomerDetail);
            CustomerDetail = new CustomerDetails()
            {
                CampaignName = "Sample Campaign",
                CustomerName = "Homero Rueckert",
                TotalSpentDisplay = "R$ 33,03"
            };
            CustomerDetailsCollection.Add(CustomerDetail);
            CustomerDetail = new CustomerDetails()
            {
                CampaignName = "Sample Campaign",
                CustomerName = "Amelia Rodrigues",
                TotalSpentDisplay = "R$ 10,97"
            };
            CustomerDetailsCollection.Add(CustomerDetail);
            CustomerDetail = new CustomerDetails()
            {
                CampaignName = "Sample Campaign",
                CustomerName = "Mallu Marafioti",
                TotalSpentDisplay = "R$ 10,97"
            };
            CustomerDetailsCollection.Add(CustomerDetail);
            CustomerDetail = new CustomerDetails()
            {
                CampaignName = "Sample Campaign",
                CustomerName = "Gerson Lucknow",
                TotalSpentDisplay = "R$ 0,00"
            };
            CustomerDetailsCollection.Add(CustomerDetail);
            CustomerDetail = new CustomerDetails()
            {
                CampaignName = "Sample Campaign",
                CustomerName = "Ricardo Zanetti Gomes",
                TotalSpentDisplay = "R$32,91"
            };
            CustomerDetailsCollection.Add(CustomerDetail);
            return CustomerDetailsCollection;
        }
    }
}
